TESTING/EIG/serred.f(3)

NAME
TESTING/EIG/serred.f

SYNOPSIS

  Functions/Subroutines
subroutine serred (path, nunit)
SERRED

Function/Subroutine Documentation

  subroutine serred (character*3 path, integer nunit)

SERRED

Purpose:

    !>
    !> SERRED tests the error exits for the eigenvalue driver routines for
    !> REAL matrices:
    !>
    !> PATH  driver   description
    !> ----  ------   -----------
    !> SEV   SGEEV    find eigenvalues/eigenvectors for nonsymmetric A
    !> SES   SGEES    find eigenvalues/Schur form for nonsymmetric A
    !> SVX   SGEEVX   SGEEV + balancing and condition estimation
    !> SSX   SGEESX   SGEES + balancing and condition estimation
    !> SBD   SGESVD   compute SVD of an M-by-N matrix A
    !>       SGESDD   compute SVD of an M-by-N matrix A (by divide and
    !>                conquer)
    !>       SGEJSV   compute SVD of an M-by-N matrix A where M >= N
    !>       SGESVDX  compute SVD of an M-by-N matrix A(by bisection
    !>                and inverse iteration)
    !>       SGESVDQ  compute SVD of an M-by-N matrix A(with a
    !>                QR-Preconditioned )
    !>

Parameters
    PATH

    !>          PATH is CHARACTER*3
    !>          The LAPACK path name for the routines to be tested.
    !>

    NUNIT

    !>          NUNIT is INTEGER
    !>          The unit number for output.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 69 of file serred.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.